GNU bug report logs - #49901
Bug in build c-ares

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Reported by: Денис Эпиков <danwerspb@HIDDEN>; Keywords: confirmed help; dated Thu, 5 Aug 2021 20:24:02 UTC; Maintainer for automake is bug-automake@HIDDEN.
Added tag(s) help and confirmed. Request was from Karl Berry <karl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 49901 <at> debbugs.gnu.org:


Received: (at 49901) by debbugs.gnu.org; 19 Sep 2021 21:09:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 19 17:09:02 2021
Received: from localhost ([127.0.0.1]:40123 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mS43Z-0007ux-Lv
	for submit <at> debbugs.gnu.org; Sun, 19 Sep 2021 17:09:02 -0400
Received: from freefriends.org ([96.88.95.60]:47850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <karl@HIDDEN>) id 1mS43X-0007ua-Aj
 for 49901 <at> debbugs.gnu.org; Sun, 19 Sep 2021 17:09:00 -0400
X-Envelope-From: karl@HIDDEN
X-Envelope-To: <49901 <at> debbugs.gnu.org>
Received: from freefriends.org (freefriends.org [96.88.95.60])
 by freefriends.org (8.14.7/8.14.7) with ESMTP id 18JL8v3q020125
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NOT)
 for <49901 <at> debbugs.gnu.org>; Sun, 19 Sep 2021 15:08:58 -0600
Received: (from apache@localhost)
 by freefriends.org (8.14.7/8.14.7/Submit) id 18JL8vCK020124;
 Sun, 19 Sep 2021 15:08:57 -0600
Date: Sun, 19 Sep 2021 15:08:57 -0600
Message-Id: <202109192108.18JL8vCK020124@HIDDEN>
From: Karl Berry <karl@HIDDEN>
To: 49901 <at> debbugs.gnu.org
Subject: bug#49901: Bug in build c-ares
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49901
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

It would be good to find a way to improve aclocal in the way that Nick
suggests. Marking this bug as "needs help" ... -k




Information forwarded to bug-automake@HIDDEN:
bug#49901; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Sep 2021 14:33:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 01 10:33:36 2021
Received: from localhost ([127.0.0.1]:38788 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLRJ2-0004mt-92
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 10:33:36 -0400
Received: from lists.gnu.org ([209.51.188.17]:35492)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jahns@HIDDEN>) id 1mLRJ0-0004mk-Ar
 for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 10:33:34 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39464)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jahns@HIDDEN>) id 1mLRIy-0002Qh-Sl
 for bug-automake@HIDDEN; Wed, 01 Sep 2021 10:33:34 -0400
Received: from maile7-ha2.dkrz.de ([136.172.12.228]:54966 helo=mailext.dkrz.de)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jahns@HIDDEN>) id 1mLRIv-0002h6-DQ
 for bug-automake@HIDDEN; Wed, 01 Sep 2021 10:33:32 -0400
Received: from localhost (localhost [127.0.0.1])
 by maile7-ha2.dkrz.de (Postfix) with ESMTP id 9B1A720B29F7
 for <bug-automake@HIDDEN>; Wed,  1 Sep 2021 16:33:23 +0200 (CEST)
X-Virus-Scanned: amavisd-new at dkrz.de
Received: from maile7-ha2.dkrz.de ([127.0.0.1])
 by localhost (maile7-ha2.dkrz.de [127.0.0.1]) (amavisd-new, port 10024)
 with LMTP id WzYVYurUOtr2 for <bug-automake@HIDDEN>;
 Wed,  1 Sep 2021 16:33:22 +0200 (CEST)
Received: from mailint.dkrz.de (maili7-ha2.dkrz.de [136.172.20.252])
 by mailext.dkrz.de (Postfix) with ESMTPS id C0BF820B4B4B
 for <bug-automake@HIDDEN>; Wed,  1 Sep 2021 16:33:22 +0200 (CEST)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailext.dkrz.de C0BF820B4B4B
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=dkrz.de; s=default;
 t=1630506802; bh=lUjHXXT0S/nVEsXLbZBXh49ggjZfTUGm+18NcLK/qNM=;
 h=Subject:To:References:From:Date:In-Reply-To:From;
 b=ofHVngUnirMZpWV6i+NfDKSYvnAlKQpoHzGB4ua22//Wy36mMSjpiW251k/6uh+Zd
 o2qm7YK+L6jiBKxSJs0eyWYvh1RgoJBZPEelFgE86oBGPXfMaYrXH2IVgrorvAfnb7
 fB1odp/ur9/MR/Gw4DieFrt3SDrKzF1oIZkFipRk=
Received: from [10.193.167.45] (eduvpn0-i.dkrz.de [136.172.15.242])
 by mailint.dkrz.de (Postfix) with ESMTPSA id ADA4920B28CB
 for <bug-automake@HIDDEN>; Wed,  1 Sep 2021 16:33:22 +0200 (CEST)
Subject: Re: bug#49901: Bug in build c-ares [too many loops]
To: bug-automake@HIDDEN
References: <CABct=JzJC9WmjtDi-fuo7yPg7=wFgBhombCQa2kOTihrRpAukQ@HIDDEN>
 <5bf9474b-230d-ce2d-0779-a8e91ffbcb55@HIDDEN>
 <CADyTPEyA1euYdpBGNrwGWm-3ytAx=Bj3+kXdkpDmP3s1H9WigA@HIDDEN>
From: Thomas Jahns <jahns@HIDDEN>
Message-ID: <87f9b8e0-a686-6705-66aa-bed1e0432869@HIDDEN>
Date: Wed, 1 Sep 2021 16:33:22 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.12.0
MIME-Version: 1.0
In-Reply-To: <CADyTPEyA1euYdpBGNrwGWm-3ytAx=Bj3+kXdkpDmP3s1H9WigA@HIDDEN>
Content-Type: multipart/signed; protocol="application/pkcs7-signature";
 micalg=sha-256; boundary="------------ms050507000406000005010507"
Received-SPF: pass client-ip=136.172.12.228; envelope-from=jahns@HIDDEN;
 helo=mailext.dkrz.de
X-Spam_score_int: -30
X-Spam_score: -3.1
X-Spam_bar: ---
X-Spam_report: (-3.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, NICE_REPLY_A=-1.029,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_FILL_THIS_FORM_SHORT=0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.5 (--)

This is a cryptographically signed message in MIME format.

--------------ms050507000406000005010507
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable

On 8/17/21 7:06 PM, Nick Bowler wrote:
 > If you really need something like this to support bootstrapping with
 > Autoconf 2.57 (which is getting close to 20 years old now!), I suggest=

 > you find another solution that doesn't involve redefining the internal=
s
 > on newer Autoconf versions.

I found that to support older autoconf versions, it was useful to put=20
overrides into conditional blocks like this:

m4_if(m4_version_compare(m4_PACKAGE_VERSION,[2.70]),[-1],
   [m4_include([m4/ac_fc_module_output_flag.m4])])

Regards, Thomas
--=20
Thomas Jahns
HPC-Gruppe
Abteilung Anwendungssoftware

Deutsches Klimarechenzentrum GmbH
Bundesstra=C3=9Fe 45a =E2=80=A2 D-20146 Hamburg =E2=80=A2 Germany

Phone:  +49 40 460094-151
Fax:    +49 40 460094-270
Email:  Thomas Jahns <jahns@HIDDEN>
URL:    www.dkrz.de

Gesch=C3=A4ftsf=C3=BChrer: Prof. Dr. Thomas Ludwig
Sitz der Gesellschaft: Hamburg
Amtsgericht Hamburg HRB 39784


--------------ms050507000406000005010507
Content-Type: application/pkcs7-signature; name="smime.p7s"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="smime.p7s"
Content-Description: S/MIME Cryptographic Signature

MIAGCSqGSIb3DQEHAqCAMIACAQExDzANBglghkgBZQMEAgEFADCABgkqhkiG9w0BBwEAAKCC
EJcwggUSMIID+qADAgECAgkA4wvV+K8l2YEwDQYJKoZIhvcNAQELBQAwgYIxCzAJBgNVBAYT
AkRFMSswKQYDVQQKDCJULVN5c3RlbXMgRW50ZXJwcmlzZSBTZXJ2aWNlcyBHbWJIMR8wHQYD
VQQLDBZULVN5c3RlbXMgVHJ1c3QgQ2VudGVyMSUwIwYDVQQDDBxULVRlbGVTZWMgR2xvYmFs
Um9vdCBDbGFzcyAyMB4XDTE2MDIyMjEzMzgyMloXDTMxMDIyMjIzNTk1OVowgZUxCzAJBgNV
BAYTAkRFMUUwQwYDVQQKEzxWZXJlaW4genVyIEZvZXJkZXJ1bmcgZWluZXMgRGV1dHNjaGVu
IEZvcnNjaHVuZ3NuZXR6ZXMgZS4gVi4xEDAOBgNVBAsTB0RGTi1QS0kxLTArBgNVBAMTJERG
Ti1WZXJlaW4gQ2VydGlmaWNhdGlvbiBBdXRob3JpdHkgMjCCASIwDQYJKoZIhvcNAQEBBQAD
ggEPADCCAQoCggEBAMtg1/9moUHN0vqHl4pzq5lN6mc5WqFggEcVToyVsuXPztNXS43O+FZs
FVV2B+pG/cgDRWM+cNSrVICxI5y+NyipCf8FXRgPxJiZN7Mg9mZ4F4fCnQ7MSjLnFp2uDo0p
eQcAIFTcFV9Kltd4tjTTwXS1nem/wHdN6r1ZB+BaL2w8pQDcNb1lDY9/Mm3yWmpLYgHurDg0
WUU2SQXaeMpqbVvAgWsRzNI8qIv4cRrKO+KA3Ra0Z3qLNupOkSk9s1FcragMvp0049ENF4N1
xDkesJQLEvHVaY4l9Lg9K7/AjsMeO6W/VRCrKq4Xl14zzsjz9AkH4wKGMUZrAcUQDBHHWekC
AwEAAaOCAXQwggFwMA4GA1UdDwEB/wQEAwIBBjAdBgNVHQ4EFgQUk+PYMiba1fFKpZFK4OpL
4qIMz+EwHwYDVR0jBBgwFoAUv1kgNgB5oKAia4zV8mHSuCzLgkowEgYDVR0TAQH/BAgwBgEB
/wIBAjAzBgNVHSAELDAqMA8GDSsGAQQBga0hgiwBAQQwDQYLKwYBBAGBrSGCLB4wCAYGZ4EM
AQICMEwGA1UdHwRFMEMwQaA/oD2GO2h0dHA6Ly9wa2kwMzM2LnRlbGVzZWMuZGUvcmwvVGVs
ZVNlY19HbG9iYWxSb290X0NsYXNzXzIuY3JsMIGGBggrBgEFBQcBAQR6MHgwLAYIKwYBBQUH
MAGGIGh0dHA6Ly9vY3NwMDMzNi50ZWxlc2VjLmRlL29jc3ByMEgGCCsGAQUFBzAChjxodHRw
Oi8vcGtpMDMzNi50ZWxlc2VjLmRlL2NydC9UZWxlU2VjX0dsb2JhbFJvb3RfQ2xhc3NfMi5j
ZXIwDQYJKoZIhvcNAQELBQADggEBAIcL/z4Cm2XIVi3WO5qYi3FP2ropqiH5Ri71sqQPrhE4
eTizDnS6dl2e6BiClmLbTDPo3flq3zK9LExHYFV/53RrtCyD2HlrtrdNUAtmB7Xts5et6u5/
MOaZ/SLick0+hFvu+c+Z6n/XUjkurJgARH5pO7917tALOxrN5fcPImxHhPalR6D90Bo0fa3S
PXez7vTXTf/D6OWST1k+kEcQSrCFWMBvf/iu7QhCnh7U3xQuTY+8npTD5+32GPg8SecmqKc2
2CzeIs2LgtjZeOJVEqM7h0S2EQvVDFKvaYwPBt/QolOLV5h7z/0HJPT8vcP9SpIClxvyt7bP
ZYoaorVyGTkwggWsMIIElKADAgECAgcbY7rQHiw9MA0GCSqGSIb3DQEBCwUAMIGVMQswCQYD
VQQGEwJERTFFMEMGA1UEChM8VmVyZWluIHp1ciBGb2VyZGVydW5nIGVpbmVzIERldXRzY2hl
biBGb3JzY2h1bmdzbmV0emVzIGUuIFYuMRAwDgYDVQQLEwdERk4tUEtJMS0wKwYDVQQDEyRE
Rk4tVmVyZWluIENlcnRpZmljYXRpb24gQXV0aG9yaXR5IDIwHhcNMTYwNTI0MTEzODQwWhcN
MzEwMjIyMjM1OTU5WjCBjTELMAkGA1UEBhMCREUxRTBDBgNVBAoMPFZlcmVpbiB6dXIgRm9l
cmRlcnVuZyBlaW5lcyBEZXV0c2NoZW4gRm9yc2NodW5nc25ldHplcyBlLiBWLjEQMA4GA1UE
CwwHREZOLVBLSTElMCMGA1UEAwwcREZOLVZlcmVpbiBHbG9iYWwgSXNzdWluZyBDQTCCASIw
DQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAJ07eRxH3h+Gy8Zp1xCeOdfZojDbchwFfylf
S2jxrRnWTOFrG7ELf6Gr4HuLi9gtzm6IOhDuV+UefwRRNuu6cG1joL6WLkDh0YNMZj0cZGnl
m6Stcq5oOVGHecwX064vXWNxSzl660Knl5BpBb+Q/6RAcL0D57+eGIgfn5mITQ5HjUhfZZkQ
0tkqSe3BuS0dnxLLFdM/fx5ULzquk1enfnjK1UriGuXtQX1TX8izKvWKMKztFwUkP7agCwf9
TRqaA1KgNpzeJIdl5Of6x5ZzJBTN0OgbaJ4YWa52fvfRCng8h0uwN89Tyjo4EPPLR22MZD08
WkVKusqAfLjz56dMTM0CAwEAAaOCAgUwggIBMBIGA1UdEwEB/wQIMAYBAf8CAQEwDgYDVR0P
AQH/BAQDAgEGMCkGA1UdIAQiMCAwDQYLKwYBBAGBrSGCLB4wDwYNKwYBBAGBrSGCLAEBBDAd
BgNVHQ4EFgQUazqYi/nyU4na4K2yMh4JH+iqO3QwHwYDVR0jBBgwFoAUk+PYMiba1fFKpZFK
4OpL4qIMz+EwgY8GA1UdHwSBhzCBhDBAoD6gPIY6aHR0cDovL2NkcDEucGNhLmRmbi5kZS9n
bG9iYWwtcm9vdC1nMi1jYS9wdWIvY3JsL2NhY3JsLmNybDBAoD6gPIY6aHR0cDovL2NkcDIu
cGNhLmRmbi5kZS9nbG9iYWwtcm9vdC1nMi1jYS9wdWIvY3JsL2NhY3JsLmNybDCB3QYIKwYB
BQUHAQEEgdAwgc0wMwYIKwYBBQUHMAGGJ2h0dHA6Ly9vY3NwLnBjYS5kZm4uZGUvT0NTUC1T
ZXJ2ZXIvT0NTUDBKBggrBgEFBQcwAoY+aHR0cDovL2NkcDEucGNhLmRmbi5kZS9nbG9iYWwt
cm9vdC1nMi1jYS9wdWIvY2FjZXJ0L2NhY2VydC5jcnQwSgYIKwYBBQUHMAKGPmh0dHA6Ly9j
ZHAyLnBjYS5kZm4uZGUvZ2xvYmFsLXJvb3QtZzItY2EvcHViL2NhY2VydC9jYWNlcnQuY3J0
MA0GCSqGSIb3DQEBCwUAA4IBAQCBeEWkTqR/DlXwCbFqPnjMaDWpHPOVnj/z+N9rOHeJLI21
rT7H8pTNoAauusyosa0zCLYkhmI2THhuUPDVbmCNT1IxQ5dGdfBi5G5mUcFCMWdQ5UnnOR7L
n8qGSN4IFP8VSytmm6A4nwDO/afr0X9XLchMX9wQEZc+lgQCXISoKTlslPwQkgZ7nu7YRrQb
tQMMONncsKk/cQYLsgMHM8KNSGMlJTx6e1du94oFOO+4oK4v9NsH1VuEGMGpuEvObJAaguS5
Pfp38dIfMwK/U+d2+dwmJUFvL6Yb+qQTkPp8ftkLYF3sv8pBoGH7EUkp2KgtdRXYShjqFu9V
NCIaE40GMIIFzTCCBLWgAwIBAgIMH9V9AzEPyp9o/HsnMA0GCSqGSIb3DQEBCwUAMIGNMQsw
CQYDVQQGEwJERTFFMEMGA1UECgw8VmVyZWluIHp1ciBGb2VyZGVydW5nIGVpbmVzIERldXRz
Y2hlbiBGb3JzY2h1bmdzbmV0emVzIGUuIFYuMRAwDgYDVQQLDAdERk4tUEtJMSUwIwYDVQQD
DBxERk4tVmVyZWluIEdsb2JhbCBJc3N1aW5nIENBMB4XDTE4MTAwNDExNTQyOVoXDTIxMTAw
MzExNTQyOVowbzELMAkGA1UEBhMCREUxKjAoBgNVBAoMIURldXRzY2hlcyBLbGltYXJlY2hl
bnplbnRydW0gR21iSDEdMBsGA1UECwwUQXBwbGljYXRpb24gU29mdHdhcmUxFTATBgNVBAMM
DFRob21hcyBKYWhuczCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBALjwSgy4wcmh
GkCWHX0I9SAKFKkacFMraBcyTqRflnEJdD+q4JqcdwqVjODot64Q92+U6xWJljYpp095j4Kg
UItMbQkcX9rs9/aZP42826D/wJFKXVBsKmGwpqD70hK7srbmbyVPXrElczbsspAsEuv1nxS3
lm8+Mn6IuXcpNDCBIQrhyBCB5UdDVcj7HK+OP6XZDzI6flEUs8SpsHPNMjvSVF7v7DTePBiO
Kcaucv3FLV3dKb1F53xvkD3MIuINtVH80YKH96VF4rZ9lTxWhYuT/vmyQotXVAk50JftZcIl
qCqgL4BBZyvAjK+68LMbyGYBF/e8z+LEYpUjPot4ifMCAwEAAaOCAkgwggJEMEAGA1UdIAQ5
MDcwDwYNKwYBBAGBrSGCLAEBBDARBg8rBgEEAYGtIYIsAQEEAwgwEQYPKwYBBAGBrSGCLAIB
BAMIMAkGA1UdEwQCMAAwDgYDVR0PAQH/BAQDAgXgMB0GA1UdJQQWMBQGCCsGAQUFBwMCBggr
BgEFBQcDBDAdBgNVHQ4EFgQUNzG8Oya6/udDGmXJUb46h3LoVJwwHwYDVR0jBBgwFoAUazqY
i/nyU4na4K2yMh4JH+iqO3QwGAYDVR0RBBEwD4ENamFobnNAZGtyei5kZTCBjQYDVR0fBIGF
MIGCMD+gPaA7hjlodHRwOi8vY2RwMS5wY2EuZGZuLmRlL2Rmbi1jYS1nbG9iYWwtZzIvcHVi
L2NybC9jYWNybC5jcmwwP6A9oDuGOWh0dHA6Ly9jZHAyLnBjYS5kZm4uZGUvZGZuLWNhLWds
b2JhbC1nMi9wdWIvY3JsL2NhY3JsLmNybDCB2wYIKwYBBQUHAQEEgc4wgcswMwYIKwYBBQUH
MAGGJ2h0dHA6Ly9vY3NwLnBjYS5kZm4uZGUvT0NTUC1TZXJ2ZXIvT0NTUDBJBggrBgEFBQcw
AoY9aHR0cDovL2NkcDEucGNhLmRmbi5kZS9kZm4tY2EtZ2xvYmFsLWcyL3B1Yi9jYWNlcnQv
Y2FjZXJ0LmNydDBJBggrBgEFBQcwAoY9aHR0cDovL2NkcDIucGNhLmRmbi5kZS9kZm4tY2Et
Z2xvYmFsLWcyL3B1Yi9jYWNlcnQvY2FjZXJ0LmNydDANBgkqhkiG9w0BAQsFAAOCAQEAJNU5
Y82AOq++j60axsWOF4vY1ADuoZKFgySdvPP2HVdw+v3l99IuF9Ky7eeQ1S/ACU5yIGLOn8LZ
v+v2JsiWRezOHoPGLc42H7qfSl3u3kmTTkE56kxo7+5Ghf4WqD7DVQiUACUPvgZwU3yHSJ7Q
Vw9AaNF/hRyIBjpz4Ize/sT/BB56UCNac+FQAwMHNDePoljElmYEHvMav9SFA8YxIknIgOJF
YzX4e6obhRi5ZtE+9Wilanj0uC09bkwXwhEpSms+agum+d2fqy8SlluF7oHV2YX1t1Sk4uTj
YYe2G8MUd6eG8SZp/iTHBCbnobPcpFFKNVG6HwGEYoYBfpDvgzGCBAswggQHAgEBMIGeMIGN
MQswCQYDVQQGEwJERTFFMEMGA1UECgw8VmVyZWluIHp1ciBGb2VyZGVydW5nIGVpbmVzIERl
dXRzY2hlbiBGb3JzY2h1bmdzbmV0emVzIGUuIFYuMRAwDgYDVQQLDAdERk4tUEtJMSUwIwYD
VQQDDBxERk4tVmVyZWluIEdsb2JhbCBJc3N1aW5nIENBAgwf1X0DMQ/Kn2j8eycwDQYJYIZI
AWUDBAIBBQCgggI9MBgGCSqGSIb3DQEJAzELBgkqhkiG9w0BBwEwHAYJKoZIhvcNAQkFMQ8X
DTIxMDkwMTE0MzMyMlowLwYJKoZIhvcNAQkEMSIEIDoGGeTAPnkfEl9HvDihTIdbJEtRx9sn
8qtc7pX8Mm2nMGwGCSqGSIb3DQEJDzFfMF0wCwYJYIZIAWUDBAEqMAsGCWCGSAFlAwQBAjAK
BggqhkiG9w0DBzAOBggqhkiG9w0DAgICAIAwDQYIKoZIhvcNAwICAUAwBwYFKw4DAgcwDQYI
KoZIhvcNAwICASgwga8GCSsGAQQBgjcQBDGBoTCBnjCBjTELMAkGA1UEBhMCREUxRTBDBgNV
BAoMPFZlcmVpbiB6dXIgRm9lcmRlcnVuZyBlaW5lcyBEZXV0c2NoZW4gRm9yc2NodW5nc25l
dHplcyBlLiBWLjEQMA4GA1UECwwHREZOLVBLSTElMCMGA1UEAwwcREZOLVZlcmVpbiBHbG9i
YWwgSXNzdWluZyBDQQIMH9V9AzEPyp9o/HsnMIGxBgsqhkiG9w0BCRACCzGBoaCBnjCBjTEL
MAkGA1UEBhMCREUxRTBDBgNVBAoMPFZlcmVpbiB6dXIgRm9lcmRlcnVuZyBlaW5lcyBEZXV0
c2NoZW4gRm9yc2NodW5nc25ldHplcyBlLiBWLjEQMA4GA1UECwwHREZOLVBLSTElMCMGA1UE
AwwcREZOLVZlcmVpbiBHbG9iYWwgSXNzdWluZyBDQQIMH9V9AzEPyp9o/HsnMA0GCSqGSIb3
DQEBAQUABIIBAETBGIH2MtcgRSWNPmR2R/FHMsHKYcYIR7SEfS4Toh9C1yTG0EHsqWqICXNE
uIzxV/51PtZsum8SeCwmntimNS0T5Zq8B+MFtoM+5KBpHrzdF6W3/JDnJoo/YiJ+ZHNcrZQy
2kSWrdkzYfRwzrPwwV9FcT712qTkKI/nIp++OOmO0q8Idji97GT75N1GQ2f5K6tH7U2aDc1s
2kBKw75C9BcNnA1sOc1zSZV/7RQdy/RnKV4UcaCcMqK1z5AXtqpMYOtWhWmnae+cSnXwLp48
toCgABa3+iSBeyH+Pe6xUtaUFq+GxuLQAaLjy1OAEE1tIjE0v/mx+J6YK6Bms4PmQS8AAAAA
AAA=
--------------ms050507000406000005010507--




Information forwarded to bug-automake@HIDDEN:
bug#49901; Package automake. Full text available.

Message received at 49901 <at> debbugs.gnu.org:


Received: (at 49901) by debbugs.gnu.org; 17 Aug 2021 21:13:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 17 17:13:23 2021
Received: from localhost ([127.0.0.1]:54254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mG6Og-0002V1-Og
	for submit <at> debbugs.gnu.org; Tue, 17 Aug 2021 17:13:22 -0400
Received: from mail-wr1-f52.google.com ([209.85.221.52]:45758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nbowler@HIDDEN>) id 1mG6Oe-0002Un-GQ
 for 49901 <at> debbugs.gnu.org; Tue, 17 Aug 2021 17:13:22 -0400
Received: by mail-wr1-f52.google.com with SMTP id v4so41185wro.12
 for <49901 <at> debbugs.gnu.org>; Tue, 17 Aug 2021 14:13:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=draconx-ca.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=n7qrmJrWzZcYlLHE3U1JVlrWk7qaPyuIKOX2MC73pHk=;
 b=g6GFdRpBsHflSPPlvcR8aDohCU021KvGaIx5CIeuZTy/yz5SxjRTLRpX/ERks9Lyyk
 ppZsuwGDQE0X3PRUbcCYnDdqmJv0tBlVLJQOcChaM0AP1BceBssnTa9WtvQf1jx7rxve
 YKYOcMnaY0tx6Wj7cBrSNnWpnf5XENY6dCahHybMCGAaapQdiaB5W8pmnx/VHX+bNUOp
 uQ4ANQNA6Q5pwfomf+usb/0OfHjkC1hOFX+nZE0jXktaAMWbOiqC2kRB0Hjmg452EzB7
 n2c+tDooeBfotofWUkINVa8A6s/9Tff/NxPsNIKYNeFsjqmcAe8SpCpANOIrFjJDECP4
 62eg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=n7qrmJrWzZcYlLHE3U1JVlrWk7qaPyuIKOX2MC73pHk=;
 b=IyAaNFf6btqlPdSYSOHopAizeMXlLLvD8BmtNWdsdP+rJBIWrMhPV15VMuOuF9Ga5c
 fk8kSVvnfGmU9lEv93S22lFMZyBZYXPmZYqHuP0GEtl1V25Rte1tVl5GL7PqrziV22bV
 loF/pcbgjimGU8HoRqKiX7NGMq5OLXXc35Yu/SOuRhU7QnR7rovjlhuYHaNcVs6fVSR0
 6w2q07R9+npU6t4r0aeod9X8hILo5pswqjMxGmJH2cMH1SCLB2vV3r8+5TS9iStFYW0u
 A63dwxJag4AwjDZss0xH1mnaKgGPa+SiQx7xxYyv8E6Cg780GYXgd+S/xK+FQJcun6/A
 Utew==
X-Gm-Message-State: AOAM533O2uVQPIIaoi3bE+V8vP46gTocFag9fRzob/e8/3oOstUvinhQ
 75K1mX/r5IhQrrP24mJ4138jwG62WNNwlIu/2Gdn9w==
X-Google-Smtp-Source: ABdhPJzaQnwEJ2R1+lBFwqbg5y5KTVUd4TVQBcD/hTAIvhMJHNdKSeI7OKvKbLxbtmiO5qIPCoLOWXmDAntQJPDzMwQ=
X-Received: by 2002:adf:f290:: with SMTP id k16mr6507241wro.88.1629234793653; 
 Tue, 17 Aug 2021 14:13:13 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a5d:540a:0:0:0:0:0 with HTTP; Tue, 17 Aug 2021 14:13:13
 -0700 (PDT)
X-Originating-IP: [24.53.240.163]
In-Reply-To: <240645ed-4957-02ad-7c57-848d10aefcad@HIDDEN>
References: <CABct=JzJC9WmjtDi-fuo7yPg7=wFgBhombCQa2kOTihrRpAukQ@HIDDEN>
 <5bf9474b-230d-ce2d-0779-a8e91ffbcb55@HIDDEN>
 <CADyTPEyA1euYdpBGNrwGWm-3ytAx=Bj3+kXdkpDmP3s1H9WigA@HIDDEN>
 <240645ed-4957-02ad-7c57-848d10aefcad@HIDDEN>
From: Nick Bowler <nbowler@HIDDEN>
Date: Tue, 17 Aug 2021 17:13:13 -0400
Message-ID: <CADyTPEwv-XOeaiZr_10yKTpu7GR3FTGHhNXwmP046p+txedE5g@HIDDEN>
Subject: Re: bug#49901: Bug in build c-ares [too many loops]
To: Brad House <brad@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49901
Cc: 49901 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 17/08/2021, Brad House via Bug reports for Automake
<bug-automake@HIDDEN> wrote:
> This ended up being the fix to needing to run autoreconf -fi multiple
> times:
> https://github.com/c-ares/c-ares/commit/e73fb47

Probably an OK workaround.  I suspect the effect of this change is to get
aclocal to pull in the ax_require_defined.m4 file on the first pass which
avoids the "too many loops" problem but not the include order problem
(which may not actually matter).

> After that, there is also the issue that the newer ax_code_coverage.m4
> that is automatically pulled in is not API compatible as it removes
> @CODE_COVERAGE_RULES@ which isn't too friendly, plus adds a slew of
> additional .m4 dependencies that had to be imported.

You can avoid things being automatically imported by not enabling
aclocal --install mode by default (remove this setting from
ACLOCAL_AMFLAGS in your Makefile.am files).  The default behaviour
is to use the files distributed with your package in preference to
newer versions that happen to be installed on user's systems.

I expect this also would avoid the "too many loops" problem.

> And then finally, there is actually a bug in the latest
> ax_code_coverage.m4 that quotes AC_MSG_ERROR() which causes older
> autoconf/automake versions to barf.
> https://github.com/c-ares/c-ares/commit/3883d99b05a845e4b40fc25c43ca83db70f4f20f#diff-fe38622a6c742be1bb93e6e65a0728f659114b3dc8d88172cb8844fa963418f9

The original quotation looks reasonable, so this change seems
questionable to me.  Probably there are real quotation bugs
somewhere else.

> I'm not sure where to report the last 2 issues.

For issues with the autoconf-archive macros, they have their own mailing
lists:

  https://savannah.gnu.org/mail/?group=autoconf-archive

Cheers,
  Nick




Information forwarded to bug-automake@HIDDEN:
bug#49901; Package automake. Full text available.

Message received at 49901 <at> debbugs.gnu.org:


Received: (at 49901) by debbugs.gnu.org; 17 Aug 2021 20:58:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 17 16:58:36 2021
Received: from localhost ([127.0.0.1]:54246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mG6AK-00028l-62
	for submit <at> debbugs.gnu.org; Tue, 17 Aug 2021 16:58:36 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:34607)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nbowler@HIDDEN>) id 1mG6AE-00028U-Bv
 for 49901 <at> debbugs.gnu.org; Tue, 17 Aug 2021 16:58:30 -0400
Received: by mail-wr1-f51.google.com with SMTP id h13so64199wrp.1
 for <49901 <at> debbugs.gnu.org>; Tue, 17 Aug 2021 13:58:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=draconx-ca.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=NfCga5nBZvxfLyXKHD3IlAWw1MKi0XnsrJYuN4dMaBQ=;
 b=go0mcc6+d6uSEeysr5AUzZgMBzcno143n701/l2l3GHRrIbQYtEZ0UrPGgXkB4AKpw
 qMSgSmsLDkPvx0eRC7yJhwmfFUtocPk3G8zfmr9blSkEZUi+MgpxR4x4orROw7i1hV6l
 PzuS1MagyvcTNQkh9rEAuPgVxdIZUqXR7lNg4GTSA3U2q2Q3zM7lKFNhvx8RAniw2L9W
 R2K343FEFKL0PWJJcajomWJcB1Ducdh7ve4YVX1+3NB8X81hlxWTJZWL3woF8eq1xg8d
 TFFuYPxFJ9FeDTyLyKznBrzAA5oBZXME4infJv4atzRHhc3hR9ltQfm9fb8/f9B/QdCa
 G4kg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=NfCga5nBZvxfLyXKHD3IlAWw1MKi0XnsrJYuN4dMaBQ=;
 b=pVvCAFwZM1pggxBPkXx8034eGI7nxvIjxmXOz8ZkJlqdf0d5NL1Y6Y0y4SIslYdHwx
 xsPooVKZtZOSEd0Wi+SjOgBrfKDnIgs7IpCZZBhvKPHijPAEVmYMRqLjLXzRCqR2iqOm
 ZRXEY83Scps38lc/AqTB587fpBWl5tmwy+UL7YTI/c2idA+UXbHNNQRh/F84Df24HDK6
 /qnm/Bc9ANp4POWgz97jM4zUkcbIT3q+wO/mNxnTWps2wk8VfLketxD056O2qa9xoDHG
 oQrto/lUnxOtZqaOkM6OC5LUvOgj1QP9Yh7xhz1px/pAEo6GaLzZ0MR50PEbEzsGrV2o
 Gnjg==
X-Gm-Message-State: AOAM530VIP5JfXZyuyX/T7qPhJ4kHK3U4b9wF1BcXIK5Bw6faXaBqLn8
 BL1NvXZVeoFzunehlGhSZVoHH7DoHCcoWYa0oMocxw==
X-Google-Smtp-Source: ABdhPJxJDAIKxgjdj0VkmLf26lhsEheVIug+3UxooUy1Qe1v9Cjld2rTDu5nyX8hz622f1uMwg46BUGBVilLO/yQ3bc=
X-Received: by 2002:a5d:610f:: with SMTP id v15mr6253046wrt.415.1629233900326; 
 Tue, 17 Aug 2021 13:58:20 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a5d:540a:0:0:0:0:0 with HTTP; Tue, 17 Aug 2021 13:58:19
 -0700 (PDT)
X-Originating-IP: [24.53.240.163]
In-Reply-To: <f3c60d37-43fd-c1e5-f610-6f9c9075b07a@HIDDEN>
References: <CABct=JzJC9WmjtDi-fuo7yPg7=wFgBhombCQa2kOTihrRpAukQ@HIDDEN>
 <5bf9474b-230d-ce2d-0779-a8e91ffbcb55@HIDDEN>
 <CADyTPEyA1euYdpBGNrwGWm-3ytAx=Bj3+kXdkpDmP3s1H9WigA@HIDDEN>
 <f3c60d37-43fd-c1e5-f610-6f9c9075b07a@HIDDEN>
From: Nick Bowler <nbowler@HIDDEN>
Date: Tue, 17 Aug 2021 16:58:19 -0400
Message-ID: <CADyTPEyXOsgSG_c+C90kb_MXNyd5GW26tqPzABpd4xQ9YN72Eg@HIDDEN>
Subject: Re: bug#49901: Bug in build c-ares [too many loops]
To: Brad House <brad@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49901
Cc: 49901 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 17/08/2021, Brad House via Bug reports for Automake
<bug-automake@HIDDEN> wrote:
> On 8/17/21 1:06 PM, Nick Bowler wrote:
>> On 2021-08-17, Brad House via Bug reports for Automake
>> <bug-automake@HIDDEN> wrote:
>>> I'm one of the maintainers of the c-ares project at
>>> https://github.com/c-ares/c-ares and have had a couple of users report
>>> this issue.
>> I took a quick glance and I found this:
>>
>>    https://github.com/c-ares/c-ares/blob/main/m4/zz60-xc-ovr.m4
>>
>> which is redefining autoconf-supplied macros (AC_CONFIG_MACRO_DIR) and
>> is almost certainly the cause of your problem.
[...]
> Thanks for taking a glance at this, unfortunately it didn't correct the
> issue.

Right.  It seems aclocal is being tripped up by AX_CXX_COMPILE_STDCXX_11
and its dependencies from autoconf archive, likely by the newer versions
that are being copied in by aclocal --install.

Here is a small test case that reproduces the problem, emulating
AX_CXX_COMPILE_STDCXX_11 from Autoconf Archive v2021.02.19:

  % cat >configure.ac <<'EOF'
  AC_INIT([test], [0])
  FOO
  AC_OUTPUT
EOF

  % mkdir m4src
  % cat >m4src/00_bar.m4 <<'EOF'
  AC_DEFUN([BAR])
EOF
  % cat >m4src/10_foo.m4 <<'EOF'
  PROBLEM # This line is a problem!
  AC_DEFUN([FOO], [BAR])
EOF
  % cat >m4src/20_problem.m4 <<'EOF'
  AC_DEFUN([PROBLEM])
EOF

  % rm -f m4/*.m4
  % aclocal --system-acdir=$PWD/m4src -I m4 --install
  aclocal: installing 'm4/00_bar.m4' from '/tmp/x/m4src/00_bar.m4'
  aclocal: installing 'm4/10_foo.m4' from '/tmp/x/m4src/10_foo.m4'
  aclocal: installing 'm4/20_problem.m4' from '/tmp/x/m4src/20_problem.m4'
  aclocal: error: too many loops
  [...]

The issue is that due to how aclocal works, on the first pass it cannot
recognize that PROBLEM is a macro in 10_foo.m4 (which corresponds to
ax_cxx_compile_stdcxx_11.m4), because files are included in search
order and when 10_foo.m4 is processed, 20_problem.m4 is not included
yet.  So aclocal --install will copy only 00_bar.m4 and 10_foo.m4 into
the package.

On the second pass (after 00_bar.m4 and 10_foo.m4 are copied into
the package), the order in which these files are included has changed.
Now 20_problem.m4 is included first and this time PROBLEM is actually
recognized as a macro expansion.  So aclocal dutifully installs
20_problem.m4 into the package m4 directory.

Then aclocal bails with "too many loops" because a third pass would be
required.  If you manually run aclocal --install again, it will succeed
(since no files remain to be copied) but with the original ordering: PROBLEM
will not be recognized as a macro expansion (and the generated aclocal.m4 will
not include 20_problem.m4)

This sort of behaviour is the main reason why the aclocal documentation
suggests these files not contain anything other than macro definitions[1],
so that they are not sensitive to include order.

It is probably possible to improve aclocal to not bail out in this
scenario but autoconf-archive should still be fixed, perhaps by
moving the expansion of AX_REQUIRE_DEFINED into the expansion of
AX_CXX_COMPILE_STDCXX_11.  Or by using the Autoconf-provided
m4_pattern_forbid machinery which looks for unexpanded macros
in the ouptut to achieve a similar result.

[1] https://www.gnu.org/software/automake/manual/automake.html#Extending-aclocal

Cheers,
  Nick




Information forwarded to bug-automake@HIDDEN:
bug#49901; Package automake. Full text available.

Message received at 49901 <at> debbugs.gnu.org:


Received: (at 49901) by debbugs.gnu.org; 17 Aug 2021 20:51:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 17 16:51:52 2021
Received: from localhost ([127.0.0.1]:54242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mG63s-0001zV-DV
	for submit <at> debbugs.gnu.org; Tue, 17 Aug 2021 16:51:52 -0400
Received: from mail-vs1-f51.google.com ([209.85.217.51]:34646)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brad@HIDDEN>) id 1mG63n-0001zF-Is
 for 49901 <at> debbugs.gnu.org; Tue, 17 Aug 2021 16:51:51 -0400
Received: by mail-vs1-f51.google.com with SMTP id l22so392895vsi.1
 for <49901 <at> debbugs.gnu.org>; Tue, 17 Aug 2021 13:51:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=brad-house.com; s=google;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-transfer-encoding:content-language;
 bh=pI2vudmvAkYOlNFNytmL0GjXEtp8Cfgd+BqZPxJh4+U=;
 b=He4gbkUo89kIIJw28IOQV9ppZLxjR6xMNP4MZirsOExZ7OZG4jQKCOAW8/uzIbvA2w
 ZJ8S5oy/LFR4wFKw2MtGin4rKO5q0JUevroVOo2Bb/qnOb7nyCOHkgx14iWM/It/dq04
 viR84UqMF8b0TRy2yTqtF4cUltsSz6jbK3qv8SnTZEju5bbH0Dt8zq/tA4NKgcCaXqsl
 /reO85KfWm2ula2F9iZWvYqd+XNa5xG2uRJdldqWZl8+m9Y6WXS6MejfJXIz1taIucoS
 noeHzmnn7uTDoEY2nWooTUrAz4/o9HlMSN78T0GRzVMWNnBtIi2WPOMFdpr1cq+E+ULf
 6NzQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding
 :content-language;
 bh=pI2vudmvAkYOlNFNytmL0GjXEtp8Cfgd+BqZPxJh4+U=;
 b=cxukg+ZcoHiODMfnT//S8DiTDvbwEeoCIZEjuTiR/HSvg6J8dmyDenbMP3eBLl89SE
 TkDhwYkRfSwmiS5UxCQq7kjwGMaILzl1h1a2EJeqK0hHyjz108YZIfkAH2YAgx+yD68E
 4urFogzpMoh5Ec0W3AQzyrEaSk98cCAAOjqKgQ+Mms5NrUu6KsTRX9UzYkboXpwDymkW
 XJzt+3EtvOsWhrdpTpnYMY6m4c9yVG3rxKm/vhfcpdEt/hr4Y/XxtqabAb4zchF37ONz
 39HXgjdqoMJ/kLmSzxpek5QN4QY7p7exHgnPY7qahGAeUUwR4Szl1kilGamOlW+OmG//
 DeaA==
X-Gm-Message-State: AOAM533fWP+2V/63lpOmKVE+LfjHU6JyeLc097NfAWnL8bAegw0+zCGM
 PbIrVhGruaoj6ks945NRt7yTujxxk6AKow==
X-Google-Smtp-Source: ABdhPJxKnlAs4jIoOf9r0CocbqiC6Thp33CAM+DpL+glCWISCXntCJI4Yh/w1uHCs1YAbR63o6uLWQ==
X-Received: by 2002:a67:1c05:: with SMTP id c5mr5032962vsc.25.1629233501722;
 Tue, 17 Aug 2021 13:51:41 -0700 (PDT)
Received: from bhouse.jax.office.monetra.com
 ([2601:344:4100:1261:1077:b837:bd6c:c549])
 by smtp.gmail.com with ESMTPSA id n125sm356229vkb.8.2021.08.17.13.51.41
 for <49901 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 17 Aug 2021 13:51:41 -0700 (PDT)
Subject: Re: bug#49901: Bug in build c-ares [too many loops]
To: 49901 <at> debbugs.gnu.org
References: <CABct=JzJC9WmjtDi-fuo7yPg7=wFgBhombCQa2kOTihrRpAukQ@HIDDEN>
 <5bf9474b-230d-ce2d-0779-a8e91ffbcb55@HIDDEN>
 <CADyTPEyA1euYdpBGNrwGWm-3ytAx=Bj3+kXdkpDmP3s1H9WigA@HIDDEN>
From: Brad House <brad@HIDDEN>
Message-ID: <240645ed-4957-02ad-7c57-848d10aefcad@HIDDEN>
Date: Tue, 17 Aug 2021 16:51:39 -0400
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:78.0)
 Gecko/20100101 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <CADyTPEyA1euYdpBGNrwGWm-3ytAx=Bj3+kXdkpDmP3s1H9WigA@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 49901
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

This ended up being the fix to needing to run autoreconf -fi multiple times:
https://github.com/c-ares/c-ares/commit/e73fb47

Which appears to not be specific to c-ares as we got the logic from:
https://github.com/fenrus75/powertop/pull/82
https://bugzilla.redhat.com/show_bug.cgi?id=1835638

After that, there is also the issue that the newer ax_code_coverage.m4 
that is automatically pulled in is not API compatible as it removes 
@CODE_COVERAGE_RULES@ which isn't too friendly, plus adds a slew of 
additional .m4 dependencies that had to be imported.

And then finally, there is actually a bug in the latest 
ax_code_coverage.m4 that quotes AC_MSG_ERROR() which causes older 
autoconf/automake versions to barf.
https://github.com/c-ares/c-ares/commit/3883d99b05a845e4b40fc25c43ca83db70f4f20f#diff-fe38622a6c742be1bb93e6e65a0728f659114b3dc8d88172cb8844fa963418f9

I'm not sure where to report the last 2 issues.






Information forwarded to bug-automake@HIDDEN:
bug#49901; Package automake. Full text available.

Message received at 49901 <at> debbugs.gnu.org:


Received: (at 49901) by debbugs.gnu.org; 17 Aug 2021 17:28:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 17 13:28:11 2021
Received: from localhost ([127.0.0.1]:54018 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mG2sh-000554-Ep
	for submit <at> debbugs.gnu.org; Tue, 17 Aug 2021 13:28:11 -0400
Received: from mail-vs1-f42.google.com ([209.85.217.42]:35572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brad@HIDDEN>) id 1mG2la-0004tt-RW
 for 49901 <at> debbugs.gnu.org; Tue, 17 Aug 2021 13:20:47 -0400
Received: by mail-vs1-f42.google.com with SMTP id b5so3914095vsq.2
 for <49901 <at> debbugs.gnu.org>; Tue, 17 Aug 2021 10:20:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=brad-house.com; s=google;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-transfer-encoding:content-language;
 bh=+JbnHmqsP+u6sXO+3tDPnyu6zimx1JJ2K8x1arWMoWs=;
 b=WXFTD/n17MebcqI2ZE1OB8JrxHMQnXdSI/RfOQGgVC+QHe97AczBuI/9n03BUb7xqR
 Hn1equU6LS2kluoiuZixh3/Z4wv61tVGm46aJ4Jb0Xyh4jPai0WfbEH+attVueDzizeC
 /cuBt+Sf5vlLPUBJqfybn3QNSFhAg5RgZqnLJUr54iZtiTEEDhA/OkUJtr+Z3HvzT1uQ
 qTwLYQ3GHO3wvu+C6fPNxvjwN+5Cwa2C5twhCDdSZcdO+gh35Gbo0kG9Q0F5r9gYhkdc
 JA/smeXJOr4ibFmnyTPgep3mG6rkK+QBDVMaE+3Aym3bniDy/p3r/mVI5BWDr6tnRyaN
 IShw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding
 :content-language;
 bh=+JbnHmqsP+u6sXO+3tDPnyu6zimx1JJ2K8x1arWMoWs=;
 b=TE7lOmAMyk0vf7h7osodc0qM18c7jkw/3DqXSeA3c22PisRRef/WOL/Fiqszyw+egJ
 nQH45QLHANN8qUWpoPYBwQcRo6zeBeFImaJlAafKDwPDeDnKBPOL7XmVFNWEGskKjUDb
 41aS3w1ngp8S5pOr1wWIOXUiyW11de3xOyiQ9iZRaptqluaMzFfV9WFG1Gr/gfCDGnFr
 nBl/M/mZgUY8rVSJaykkVb2jnggVlNCJIua/EFarJ+JTSvpcTVtzJAdB8Fh6O37+mggX
 qjYEN8UGf+MGZ9TfJ0yQDjYlSFx+EN0awi+ZbHuUTIx3mdKyp3+xVFLJVIUxJcrzoCDV
 ZAjg==
X-Gm-Message-State: AOAM530pqxtGKumLut9VVc0Z1buD8+GrqNhH1r1ND/2b2+sZROxIQKWm
 BcEduynP48sTJ+X92giFe9is19brSe7lCw==
X-Google-Smtp-Source: ABdhPJwqaGlH04QJ+4Ymxc3kL3gleYQBPSbxGBLAHFpnszymIBf/wnc6aFiQAp/BDNxCQw9g3GX0Lg==
X-Received: by 2002:a67:8751:: with SMTP id j78mr4100444vsd.50.1629220841024; 
 Tue, 17 Aug 2021 10:20:41 -0700 (PDT)
Received: from bhouse.jax.office.monetra.com
 ([2601:344:4100:1261:bcc9:2a05:8ed8:acb7])
 by smtp.gmail.com with ESMTPSA id a67sm252123vsd.0.2021.08.17.10.20.40
 for <49901 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 17 Aug 2021 10:20:40 -0700 (PDT)
Subject: Re: bug#49901: Bug in build c-ares [too many loops]
To: 49901 <at> debbugs.gnu.org
References: <CABct=JzJC9WmjtDi-fuo7yPg7=wFgBhombCQa2kOTihrRpAukQ@HIDDEN>
 <5bf9474b-230d-ce2d-0779-a8e91ffbcb55@HIDDEN>
 <CADyTPEyA1euYdpBGNrwGWm-3ytAx=Bj3+kXdkpDmP3s1H9WigA@HIDDEN>
From: Brad House <brad@HIDDEN>
Message-ID: <f3c60d37-43fd-c1e5-f610-6f9c9075b07a@HIDDEN>
Date: Tue, 17 Aug 2021 13:20:39 -0400
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:78.0)
 Gecko/20100101 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <CADyTPEyA1euYdpBGNrwGWm-3ytAx=Bj3+kXdkpDmP3s1H9WigA@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 49901
X-Mailman-Approved-At: Tue, 17 Aug 2021 13:28:05 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)



On 8/17/21 1:06 PM, Nick Bowler wrote:
> On 2021-08-17, Brad House via Bug reports for Automake
> <bug-automake@HIDDEN> wrote:
>> I'm one of the maintainers of the c-ares project at
>> https://github.com/c-ares/c-ares and have had a couple of users report
>> this issue.
> I took a quick glance and I found this:
>
>    https://github.com/c-ares/c-ares/blob/main/m4/zz60-xc-ovr.m4
>
> which is redefining autoconf-supplied macros (AC_CONFIG_MACRO_DIR) and
> is almost certainly the cause of your problem.  I suggest simply not
> doing that, and aclocal will probably work as expected.  Just delete
> this file and delete the XC_OVR_ZZ60 line from configure.ac and I
> expect your aclocal failure will go away.
<snip>
> If you really need something like this to support bootstrapping with
> Autoconf 2.57 (which is getting close to 20 years old now!), I suggest
> you find another solution that doesn't involve redefining the internals
> on newer Autoconf versions.
>

Thanks for taking a glance at this, unfortunately it didn't correct the 
issue:

bhouse:c-ares-master bhouse$ autoreconf -fiv
autoreconf: export WARNINGS=
autoreconf: Entering directory '.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force -I m4 --install
aclocal: installing 'm4/ax_ac_append_to_file.m4' from 
'/usr/local/share/aclocal/ax_ac_append_to_file.m4'
aclocal: installing 'm4/ax_ac_print_to_file.m4' from 
'/usr/local/share/aclocal/ax_ac_print_to_file.m4'
aclocal: installing 'm4/ax_add_am_macro_static.m4' from 
'/usr/local/share/aclocal/ax_add_am_macro_static.m4'
aclocal: installing 'm4/ax_am_macros_static.m4' from 
'/usr/local/share/aclocal/ax_am_macros_static.m4'
aclocal: installing 'm4/ax_check_gnu_make.m4' from 
'/usr/local/share/aclocal/ax_check_gnu_make.m4'
aclocal: overwriting 'm4/ax_code_coverage.m4' with 
'/usr/local/share/aclocal/ax_code_coverage.m4'
aclocal: installing 'm4/ax_cxx_compile_stdcxx.m4' from 
'/usr/local/share/aclocal/ax_cxx_compile_stdcxx.m4'
aclocal: overwriting 'm4/ax_cxx_compile_stdcxx_11.m4' with 
'/usr/local/share/aclocal/ax_cxx_compile_stdcxx_11.m4'
aclocal: installing 'm4/ax_file_escapes.m4' from 
'/usr/local/share/aclocal/ax_file_escapes.m4'
aclocal: installing 'm4/libtool.m4' from 
'/usr/local/share/aclocal/libtool.m4'
aclocal: installing 'm4/ltoptions.m4' from 
'/usr/local/share/aclocal/ltoptions.m4'
aclocal: installing 'm4/ltsugar.m4' from 
'/usr/local/share/aclocal/ltsugar.m4'
aclocal: installing 'm4/ltversion.m4' from 
'/usr/local/share/aclocal/ltversion.m4'
aclocal: installing 'm4/lt~obsolete.m4' from 
'/usr/local/share/aclocal/lt~obsolete.m4'
aclocal: installing 'm4/ax_require_defined.m4' from 
'/usr/local/share/aclocal/ax_require_defined.m4'
aclocal: error: too many loops
aclocal: Please contact <bug-automake@HIDDEN>.
  at 
/usr/local/Cellar/automake/1.16.4/share/automake-1.16/Automake/Channels.pm 
line 655.
     Automake::Channels::msg("automake", "", "too many loops") called at 
/usr/local/Cellar/automake/1.16.4/share/automake-1.16/Automake/ChannelDefs.pm 
line 226
     Automake::ChannelDefs::prog_error("too many loops") called at 
/usr/local/bin/aclocal line 1187
autoreconf: error: aclocal failed with exit status: 255







Information forwarded to bug-automake@HIDDEN:
bug#49901; Package automake. Full text available.

Message received at 49901 <at> debbugs.gnu.org:


Received: (at 49901) by debbugs.gnu.org; 17 Aug 2021 17:06:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 17 13:06:34 2021
Received: from localhost ([127.0.0.1]:53985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mG2Xm-0004X2-0a
	for submit <at> debbugs.gnu.org; Tue, 17 Aug 2021 13:06:34 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:45572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nbowler@HIDDEN>) id 1mG2Xf-0004Wi-3T
 for 49901 <at> debbugs.gnu.org; Tue, 17 Aug 2021 13:06:28 -0400
Received: by mail-wr1-f48.google.com with SMTP id v4so22541064wro.12
 for <49901 <at> debbugs.gnu.org>; Tue, 17 Aug 2021 10:06:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=draconx-ca.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=dxSWOXs2jKM80w8FEZy/fRf44mLDxcFFq8VbRahuSS0=;
 b=al09qTozi2lMkw0vutC77sRKqp39oh7LcHxbI+waEz2nZuidhG1HWP06OJeAGOpSVM
 k0B0rQkqg8ch0LLqKJ+oi74VBmI9QbzMMhbqmHjOZkqT/X22aOGzSELrBRUE67lhZiZy
 zGtJIs7EpayUCerNYxfV5rNI+F6ZX4qu6R6yIlVu91ubBoAqVGjdNF8VNv76fuoQaYh8
 mbMt/iLldXP1PU6+UDQP0F2TcgGBlJS/hiN+JsDcYxnXV8MFz6HwxZkrMbFynGX6ZXfu
 fMRxkxmvqYrzhssQfcOdNI+3oJoLgeGJUsLIOIWmNib7501sCy3BdAtAwp1KL+cDnQtD
 qaJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=dxSWOXs2jKM80w8FEZy/fRf44mLDxcFFq8VbRahuSS0=;
 b=CQdVFztKl7oXgG6GUzfNMg1whjvAENJvdt5QoSBwWGpwMocBcF5lVGw7hquuSUVg7Y
 oSmhYEXGETiWy+xii3y+jzZrfOOsdrAA6vwvNuKX39hm4nC+gCIconElquOPHDUd4aXr
 o3BHvi8IE0rluEPI8vtK8fpPeNMLwCilGnp9ZHXc+FmQfX6q6q0klR+M+z8C+Xklcj6v
 FAQTGD/YT2y6Yxv0leDQ5oyEbrlgMcgsGBCivsomyI2GWpt2fRyRUL4dMMIfjIsPonj+
 io5W4sESX8BFejg7D3dqSD95r/yF6voPBDnQUHsvV+ornXlOMmz8oLymy9QrJFN7bXHm
 X3XQ==
X-Gm-Message-State: AOAM531tWMhcplYoqnm8b3jgzHvflonJqBDwJdd67HBTbViKCcWAk8L7
 DTCNFWWUPvSg6tbQ7Yz57vTSmT5sNz25WJb6fMN2gw==
X-Google-Smtp-Source: ABdhPJyDL22044aRtFQFIZ8g/SDpEf6b8cpW+w70g+6oyUDMSEilebP1v8kn/eblwiX9WSZZsTAWvIz53FXTftVIllo=
X-Received: by 2002:adf:f290:: with SMTP id k16mr5495607wro.88.1629219977241; 
 Tue, 17 Aug 2021 10:06:17 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a5d:540a:0:0:0:0:0 with HTTP; Tue, 17 Aug 2021 10:06:16
 -0700 (PDT)
X-Originating-IP: [24.53.240.163]
In-Reply-To: <5bf9474b-230d-ce2d-0779-a8e91ffbcb55@HIDDEN>
References: <CABct=JzJC9WmjtDi-fuo7yPg7=wFgBhombCQa2kOTihrRpAukQ@HIDDEN>
 <5bf9474b-230d-ce2d-0779-a8e91ffbcb55@HIDDEN>
From: Nick Bowler <nbowler@HIDDEN>
Date: Tue, 17 Aug 2021 13:06:16 -0400
Message-ID: <CADyTPEyA1euYdpBGNrwGWm-3ytAx=Bj3+kXdkpDmP3s1H9WigA@HIDDEN>
Subject: Re: bug#49901: Bug in build c-ares [too many loops]
To: Brad House <brad@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49901
Cc: 49901 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2021-08-17, Brad House via Bug reports for Automake
<bug-automake@HIDDEN> wrote:
> I'm one of the maintainers of the c-ares project at
> https://github.com/c-ares/c-ares and have had a couple of users report
> this issue.

I took a quick glance and I found this:

  https://github.com/c-ares/c-ares/blob/main/m4/zz60-xc-ovr.m4

which is redefining autoconf-supplied macros (AC_CONFIG_MACRO_DIR) and
is almost certainly the cause of your problem.  I suggest simply not
doing that, and aclocal will probably work as expected.  Just delete
this file and delete the XC_OVR_ZZ60 line from configure.ac and I
expect your aclocal failure will go away.

The likely reason why the issue is intermittent is because aclocal
will not see this definition on its first pass of a clean workspace,
and the "too many loops" error happens because the state changes in
the middle of the aclocal run, once the redefinition is incorporated
into aclocal.m4 (and things might even appear to work again after
that point, until you delete aclocal.m4 and go again).

If you really need something like this to support bootstrapping with
Autoconf 2.57 (which is getting close to 20 years old now!), I suggest
you find another solution that doesn't involve redefining the internals
on newer Autoconf versions.

Cheers,
  Nick




Information forwarded to bug-automake@HIDDEN:
bug#49901; Package automake. Full text available.

Message received at 49901 <at> debbugs.gnu.org:


Received: (at 49901) by debbugs.gnu.org; 17 Aug 2021 16:42:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 17 12:42:17 2021
Received: from localhost ([127.0.0.1]:53945 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mG2AH-0003rd-OK
	for submit <at> debbugs.gnu.org; Tue, 17 Aug 2021 12:42:17 -0400
Received: from mail-io1-f50.google.com ([209.85.166.50]:45798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <danwerspb@HIDDEN>) id 1mG1oS-0003FK-4t
 for 49901 <at> debbugs.gnu.org; Tue, 17 Aug 2021 12:19:45 -0400
Received: by mail-io1-f50.google.com with SMTP id e186so28408565iof.12
 for <49901 <at> debbugs.gnu.org>; Tue, 17 Aug 2021 09:19:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=MdUfHnzYM09HMLSfjaawA2w9kodcOqZ0k+iR8TJeniQ=;
 b=lFBsqOcSvcvyWA9iQscX17pK6vnzbJln26NQhxGq4zJ52Z2a1Ui7gD21I35vrEoGKB
 baj+Dp+/R0MEK5zrmj8wmVT9FGdM0a31h/vdWgFy9AeC5OuVZEYnjCcTjtsCndoA1W0s
 Zte7BG2dPCrj6GUPns35szyZcN9iykoY7C4afnwJ8ACNYb/APGwhhL2aJSnkgbTkeiEG
 5ZhB8w6iOp7pe4upa7OcTpYl2Bd21VqjWGS1d9hBX0KfnHFWIJPVmO/ZIU44SlctfP6F
 eVjWp8754Dg6Dt5EhmOJJj+vJUJe1BBh0ympLNZUHCVMBsV7Ip9pgXmbeLB4FwhysqAs
 Jflw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=MdUfHnzYM09HMLSfjaawA2w9kodcOqZ0k+iR8TJeniQ=;
 b=buN9hIeBD1BMcAtOTLC9VarJU/Nr0ss5Rs4M5xAfMyd8ro51sR39bamxsCZjhQirON
 JHQog+iCBiAIZu/RQ3H2y5zrcdJ45DcAv2nrzMWV9qr9jznTj+UeiQg/qgto/dQMkUqH
 S5pEbZtqkQmU8OD8wFZkG7mqi94zWtr8fSxjmUgad8TjAPvL3bBMNW1SQ5LS+Jjy+XUJ
 9eSRUbysBUnLhxwI8bsm+50rWNYqTBGtak2ozraK21P3p67nK9vCzer7GHiikAX2mDon
 xTIYdxZHNFW/l/xBsG8CxaYP6Miy7dVU7CGh1BH6zU33pZyGn/0rBq7fk9xnYFPYzc0w
 EhrQ==
X-Gm-Message-State: AOAM532VFakj/v4fLJ09G1jFwU9TPT1lRmKKHEEIBgKiMRi7LFOdavhl
 Z13ZX/MC9hAyCoUzQ03HWEdg670tVwcx0uzl1a3nEV/k1o7wDQ==
X-Google-Smtp-Source: ABdhPJxbbKL7Q4nUR+ZnjAY8RtALC4Zfv+599qDlgCoL1ou/FKUSLopgYwvfaEsNs5GLoQ627TgFe7BF7+Emp9Ylb5c=
X-Received: by 2002:a05:6638:191c:: with SMTP id
 p28mr3582615jal.41.1629217174128; 
 Tue, 17 Aug 2021 09:19:34 -0700 (PDT)
MIME-Version: 1.0
References: <CABct=JzJC9WmjtDi-fuo7yPg7=wFgBhombCQa2kOTihrRpAukQ@HIDDEN>
 <202108052141.175Lfh0h024485@HIDDEN>
In-Reply-To: <202108052141.175Lfh0h024485@HIDDEN>
From: =?UTF-8?B?0JTQtdC90LjRgSDQrdC/0LjQutC+0LI=?= <danwerspb@HIDDEN>
Date: Tue, 17 Aug 2021 19:19:22 +0300
Message-ID: <CABct=JwqZ38ciLkoVqemuUnfvFGzHVYo2-zRU5tD9rkyRv7kOw@HIDDEN>
Subject: Re: bug#49901: Bug in build c-ares
To: 49901 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000ed0c8f05c9c3aea8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49901
X-Mailman-Approved-At: Tue, 17 Aug 2021 12:42:13 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000ed0c8f05c9c3aea8
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Sorry, I am not qualified to troubleshoot this problem

=D0=BF=D1=82, 6 =D0=B0=D0=B2=D0=B3. 2021 =D0=B3. =D0=B2 00:41, Karl Berry <=
karl@HIDDEN>:

>     aclocal: error: too many loops
>
> 1) Thanks for the report.
> 2) Agreed there is a bug somewhere.
> 3) I know you provided a recipe for reproducing (thank you),
> But I just can't debug with your development configure.ac from
> scratch, especially since I'm not on Debian.
>
> Thus it would help greatly if you could narrow it down by commenting out
> macros until you see where the problem lies, and then create a
> standalone source tree (i.e., not involving running apt or git) and post
> that.
>
> Else, all I can do is put this in the "to be looked at by someone else"
> pile (https://debbugs.gnu.org/cgi/pkgreport.cgi?package=3Dautomake#_0_4_3=
).
> Sorry, I wish I could do better, but that's the reality. --best, karl.
>

--000000000000ed0c8f05c9c3aea8
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Sorry, I am not qualified to troubleshoot this problem<br>=
</div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">=
=D0=BF=D1=82, 6 =D0=B0=D0=B2=D0=B3. 2021 =D0=B3. =D0=B2 00:41, Karl Berry &=
lt;<a href=3D"mailto:karl@HIDDEN">karl@HIDDEN</a>&gt;:<br=
></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;=
border-left:1px solid rgb(204,204,204);padding-left:1ex">=C2=A0 =C2=A0 aclo=
cal: error: too many loops<br>
<br>
1) Thanks for the report.<br>
2) Agreed there is a bug somewhere.<br>
3) I know you provided a recipe for reproducing (thank you),<br>
But I just can&#39;t debug with your development <a href=3D"http://configur=
e.ac" rel=3D"noreferrer" target=3D"_blank">configure.ac</a> from<br>
scratch, especially since I&#39;m not on Debian.<br>
<br>
Thus it would help greatly if you could narrow it down by commenting out<br=
>
macros until you see where the problem lies, and then create a<br>
standalone source tree (i.e., not involving running apt or git) and post<br=
>
that.<br>
<br>
Else, all I can do is put this in the &quot;to be looked at by someone else=
&quot;<br>
pile (<a href=3D"https://debbugs.gnu.org/cgi/pkgreport.cgi?package=3Dautoma=
ke#_0_4_3" rel=3D"noreferrer" target=3D"_blank">https://debbugs.gnu.org/cgi=
/pkgreport.cgi?package=3Dautomake#_0_4_3</a>).<br>
Sorry, I wish I could do better, but that&#39;s the reality. --best, karl.<=
br>
</blockquote></div>

--000000000000ed0c8f05c9c3aea8--




Information forwarded to bug-automake@HIDDEN:
bug#49901; Package automake. Full text available.

Message received at 49901 <at> debbugs.gnu.org:


Received: (at 49901) by debbugs.gnu.org; 17 Aug 2021 15:34:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 17 11:34:24 2021
Received: from localhost ([127.0.0.1]:53851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mG16b-00024B-0L
	for submit <at> debbugs.gnu.org; Tue, 17 Aug 2021 11:34:24 -0400
Received: from mail-vs1-f50.google.com ([209.85.217.50]:45946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brad@HIDDEN>) id 1mG0qh-0001dL-8j
 for 49901 <at> debbugs.gnu.org; Tue, 17 Aug 2021 11:17:59 -0400
Received: by mail-vs1-f50.google.com with SMTP id d16so11457214vsf.12
 for <49901 <at> debbugs.gnu.org>; Tue, 17 Aug 2021 08:17:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=brad-house.com; s=google;
 h=to:from:subject:message-id:date:user-agent:mime-version
 :content-transfer-encoding:content-language;
 bh=tYLmmvO6JRFJfYeQHX06oRsB9ZgOmC4Yha0ZO+AT638=;
 b=aQWQ95w9TqvMMbiS0oX4ok6zs38q+kJzYvrfo8eOLMMlP9VbYwIWe8WDoXCpnX/QKf
 lzM8LBdwHx2Pn7+ppwihlNXskBOeLsuW9O4rqg/9iqul3AUzhEXGIb53JmbF5IFowF2t
 zkJ+JUYeY/4eipuqEOKinySoAI+LC0Y0wLacSdulPMOHw2yrJAbvzl9oZE0VgqvjYCUV
 lw2/kqIAqlS/aku6tTWFhgkkGObB9rlvEYaXJc1SfDjFKdJZ/qTUdjiiAAMsosM5HvCj
 nkOXsZGNHwmtqF5W6Dn+S6cNR0AMrqfw8upFndAitx0Bnvghv2T0q3SoRB2rAfpFxUv2
 sZyQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:subject:message-id:date:user-agent
 :mime-version:content-transfer-encoding:content-language;
 bh=tYLmmvO6JRFJfYeQHX06oRsB9ZgOmC4Yha0ZO+AT638=;
 b=H3RCtIE6D3HXCxTYmanXvLeCLGr/Vb4/hnxIDDpT5lzyOOesCt8lVqbj/CVpqir6NE
 Mm48bL8Yo1wdNmSRRjVG6J5OHG1YZ+n9EuAPQy3bdjyFNQq5aquD1erpeJsja+uV5v73
 bsvo8VRPxPDh+166ra3cYyo/1+EtJCDJXi9DkL7iMAdrU8liHiokJpePsmS+TmIOz+4o
 xZXEo4LBtt1H/P+PjmNNFQRHRHOCBL3VoKU1BLMpNd6rE/0MbQPPDR76D/tPlrq1kuB3
 W2Tuk/XqByPtIFNjeeY9ZAfwZ5FKCcTtCR9a7f3b6Rw70uacFo197VYLyLGtSCXvF183
 K1zw==
X-Gm-Message-State: AOAM530c8/9ypokDeZw9Yw8xZKt2stRH3IbNz1akshfQ8UBcJOVovxwh
 YWHllgS4GMELRsyWMlxGyuy+NkPusns7UQ==
X-Google-Smtp-Source: ABdhPJwzZ+quOPKNP7FNf36PFxS6pIBv7uYe1IJZV84wxnTgP8GaLAnYzwn69Pa/CJrOSsr5CMxHww==
X-Received: by 2002:a67:f298:: with SMTP id m24mr3328639vsk.52.1629213469313; 
 Tue, 17 Aug 2021 08:17:49 -0700 (PDT)
Received: from bhouse.jax.office.monetra.com
 ([2601:344:4100:1261:bcc9:2a05:8ed8:acb7])
 by smtp.gmail.com with ESMTPSA id h2sm271393vkp.6.2021.08.17.08.17.48
 for <49901 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 17 Aug 2021 08:17:48 -0700 (PDT)
To: 49901 <at> debbugs.gnu.org
From: Brad House <brad@HIDDEN>
Subject: Re: bug#49901: Bug in build c-ares [too many loops]
Message-ID: <5bf9474b-230d-ce2d-0779-a8e91ffbcb55@HIDDEN>
Date: Tue, 17 Aug 2021 11:17:47 -0400
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:78.0)
 Gecko/20100101 Thunderbird/78.13.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I'm one of the maintainers of the c-ares project at https://github.com/c-ares/c-ares
    and have had a couple of users report this issue.  At first glance it appears
    to be an issue introduced between au [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.217.50 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.217.50 listed in list.dnswl.org]
  1.2 FAKE_REPLY_A1          No description available.
X-Debbugs-Envelope-To: 49901
X-Mailman-Approved-At: Tue, 17 Aug 2021 11:34:19 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

I'm one of the maintainers of the c-ares project at 
https://github.com/c-ares/c-ares and have had a couple of users report 
this issue.  At first glance it appears to be an issue introduced 
between automake 1.16.1 and 1.16.3.

I actually did some testing on MacOS 11.4 with automake 1.16.4 and can 
reproduce the issue.  Whereas 1.16.1 on CentOS 8 it works fine. I 
haven't tried backing off automake to 1.16.1 on MacOS.

Reported issues for c-ares are here:

https://github.com/c-ares/c-ares/issues/409
https://github.com/c-ares/c-ares/issues/416

Rerunning autoreconf -fi appears to succeed, but then when building 
after configure, make immediately throws an error so it clearly didn't 
actually work.

The autotools build hasn't been touched in years short of a code 
reorganization a year or so ago.

I haven't had time yet to investigate if there is an older version of 
c-ares that works with the newer automake to try to figure out a trigger.

I know this isn't much information to go off of, but the user just told 
me they had opened this issue so I wanted to chime in as I'm not sure 
when I'll have a chance to investigate further.

-Brad





Information forwarded to bug-automake@HIDDEN:
bug#49901; Package automake. Full text available.

Message received at 49901 <at> debbugs.gnu.org:


Received: (at 49901) by debbugs.gnu.org; 7 Aug 2021 01:00:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 06 21:00:25 2021
Received: from localhost ([127.0.0.1]:51594 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCAhM-0004Yf-V9
	for submit <at> debbugs.gnu.org; Fri, 06 Aug 2021 21:00:25 -0400
Received: from freefriends.org ([96.88.95.60]:59774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <karl@HIDDEN>) id 1mCAhJ-0004YW-T5
 for 49901 <at> debbugs.gnu.org; Fri, 06 Aug 2021 21:00:23 -0400
X-Envelope-From: karl@HIDDEN
X-Envelope-To: <49901 <at> debbugs.gnu.org>
Received: from freefriends.org (freefriends.org [96.88.95.60])
 by freefriends.org (8.14.7/8.14.7) with ESMTP id 17710Kcr023961
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NOT)
 for <49901 <at> debbugs.gnu.org>; Fri, 6 Aug 2021 19:00:21 -0600
Received: (from apache@localhost)
 by freefriends.org (8.14.7/8.14.7/Submit) id 17710K7I023960;
 Fri, 6 Aug 2021 19:00:20 -0600
Date: Fri, 6 Aug 2021 19:00:20 -0600
Message-Id: <202108070100.17710K7I023960@HIDDEN>
From: Karl Berry <karl@HIDDEN>
To: 49901 <at> debbugs.gnu.org
Subject: Re: bug#49901: Bug in build c-ares [too many loops]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49901
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

I searched for "too many loops" in the bug-automake list archive.
It has been previously reported several times. Seems to be related to
autoconf-archive, especially the AX_CXX_COMPILE_STDCXX_14 macro
(or related, presumably).

In https://bugs.gnu.org/47848, I found a suggestion in the code that
rerunning aclocal may be necessary if files are installed.

https://bugs.gnu.org/25250 reports that rerunning aclocal sufficed.

https://bugs.gnu.org/24807 and especially https://bugs.gnu.org/23639
have an idea for the actual culprit:
    ... first run of autoreconf fails when I use
    AX_CXX_COMPILE_STDCXX_14 macro from autoconf-archive (version
    2016.03.20-r1 installed via portage on Gentoo), and only when I use
    it.  Second run immediately after it just works.

In https://lists.gnu.org/archive/html/bug-automake/2010-01/msg00006.html
Ralf writes, in response to the problem going away with a new release:
    This typically shows up when the macro file aclocal finds have some
    inconsistency, or aclocal finds macros from a different Libtool version
    that those which libtoolize installs into your package, or you have old
    macro files lying around in your package somewhere, possibly
    concatenated in some old aclocal.m4 or acinclude.m4 file.
(So, quite plausible that autoconf-archive is involved.)

So far as I saw (maybe I missed it), none of these reports, other than
yours, include an actual failing case that can be rerun.

With this info, can you cut down your c-ares project to a small test
that tries to exercise AX_CXX_COMPILE_STDCXX_14 or whatever you are
using? That would make it a lot more plausible to debug.

Anyway, adding this info for the record in case someone has the time and
energy to look further (which would be fantastic). --thanks, karl.




Information forwarded to bug-automake@HIDDEN:
bug#49901; Package automake. Full text available.

Message received at 49901 <at> debbugs.gnu.org:


Received: (at 49901) by debbugs.gnu.org; 5 Aug 2021 21:41:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 05 17:41:52 2021
Received: from localhost ([127.0.0.1]:48579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBl7e-0006Ag-EP
	for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 17:41:52 -0400
Received: from freefriends.org ([96.88.95.60]:60760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <karl@HIDDEN>) id 1mBl7Y-0006AQ-QU
 for 49901 <at> debbugs.gnu.org; Thu, 05 Aug 2021 17:41:48 -0400
X-Envelope-From: karl@HIDDEN
Received: from freefriends.org (freefriends.org [96.88.95.60])
 by freefriends.org (8.14.7/8.14.7) with ESMTP id 175Lfhl1024486
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NOT); 
 Thu, 5 Aug 2021 15:41:44 -0600
Received: (from apache@localhost)
 by freefriends.org (8.14.7/8.14.7/Submit) id 175Lfh0h024485;
 Thu, 5 Aug 2021 15:41:43 -0600
Date: Thu, 5 Aug 2021 15:41:43 -0600
Message-Id: <202108052141.175Lfh0h024485@HIDDEN>
From: Karl Berry <karl@HIDDEN>
To: danwerspb@HIDDEN
Subject: Re: bug#49901: Bug in build c-ares
In-Reply-To: <CABct=JzJC9WmjtDi-fuo7yPg7=wFgBhombCQa2kOTihrRpAukQ@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49901
Cc: 49901 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

    aclocal: error: too many loops

1) Thanks for the report.
2) Agreed there is a bug somewhere.
3) I know you provided a recipe for reproducing (thank you),
But I just can't debug with your development configure.ac from
scratch, especially since I'm not on Debian.

Thus it would help greatly if you could narrow it down by commenting out
macros until you see where the problem lies, and then create a
standalone source tree (i.e., not involving running apt or git) and post
that.

Else, all I can do is put this in the "to be looked at by someone else"
pile (https://debbugs.gnu.org/cgi/pkgreport.cgi?package=automake#_0_4_3).
Sorry, I wish I could do better, but that's the reality. --best, karl.




Information forwarded to bug-automake@HIDDEN:
bug#49901; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Aug 2021 20:23:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 05 16:23:35 2021
Received: from localhost ([127.0.0.1]:48523 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBjtr-0004GM-7O
	for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 16:23:35 -0400
Received: from lists.gnu.org ([209.51.188.17]:38132)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <danwerspb@HIDDEN>) id 1mBjIc-0003LV-Kj
 for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 15:45:03 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46654)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <danwerspb@HIDDEN>)
 id 1mBjIc-000334-0P
 for bug-automake@HIDDEN; Thu, 05 Aug 2021 15:45:02 -0400
Received: from mail-io1-xd2c.google.com ([2607:f8b0:4864:20::d2c]:39614)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <danwerspb@HIDDEN>)
 id 1mBjIa-0000Dn-4Y
 for bug-automake@HIDDEN; Thu, 05 Aug 2021 15:45:01 -0400
Received: by mail-io1-xd2c.google.com with SMTP id f6so8245623ioc.6
 for <bug-automake@HIDDEN>; Thu, 05 Aug 2021 12:44:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=vyS/XBdK8bC7VJ2VEYRswzM6udV0y4NOTN6fHEShTS8=;
 b=TKjyy6mmDrwZAvDFFWAs2J97SqwEGaMPITkzkezjv6wXAtkzveJZuA/ew5Hw8OOn4M
 qhp5POhKYtTjH6cOP3ZBWKQ68X2xYjGL6lkPShZyD4KLzxevQvbJHDjR13f4CfDGGwUM
 NqFNLqf3TcKzW9VXuL4VWC9JZdmqY2cTiHAXSHyEg44Lspv7+SPFQOIcHNYZgs+beTJ8
 5n58Ie2f541Yzd28tzv8zJ3ZoIWIoVKfHAvUPocROm4drokFJiXJhYfGk3Pomi1YO0zt
 cb3sOkSMC3qRE6NbIlnZ6eURgPbizEZeqF+zZDNWOwv8IzFm91aD1bGwro6WiGmQ3VV4
 xugQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=vyS/XBdK8bC7VJ2VEYRswzM6udV0y4NOTN6fHEShTS8=;
 b=C0edn58ph7cOu6wARlalR86F6aNyuPfQnM6Qu9nq/V5kksWVaVQYGCHk9T7d8NImWQ
 FBD4PiD29ie3OmiAvxTmMMFR1cCJLIM6qKOMuS92iT6WGbaiXEg2GjlAFt4hhn6Tq0V1
 3h3oSq94I+X0eTrhs4Sfjs+rEtwcmhGqKrZyv9tGdLvE+6PM/4X+LBGLwcna6NzrZ315
 vMXqI17+MFLoViH2gYLatiRkbr+pVL+eXFenr3JRIqfpSpPGbqy3FQxaA7hM4IGOOw3N
 FwzsIb0QyIQSxfDZFDJOlYhJjrNvSbER5qXhqYEdE6BJ7dZ0/1p8DU9u4Q5VnrT6Jd6J
 oGHQ==
X-Gm-Message-State: AOAM5318MZcf0hl6sjKs1oAFvQhwgXnYwQIM0nynCDEX+xGeerZrlbCB
 CZRMcgEG6EKAtMIbwEpfxmG6taFF2bMwpVjFBLWLJIu3h8s0Zg==
X-Google-Smtp-Source: ABdhPJxFrbNwi3Mqo9w6dSOlREJbu/AMYHXjZYwRLiG/cHv3kotlf+XxB93yAQxYrPxNujoRZw0aXtRqnUS/JIxodLk=
X-Received: by 2002:a05:6638:2714:: with SMTP id
 m20mr6154989jav.41.1628192698034; 
 Thu, 05 Aug 2021 12:44:58 -0700 (PDT)
MIME-Version: 1.0
From: =?UTF-8?B?0JTQtdC90LjRgSDQrdC/0LjQutC+0LI=?= <danwerspb@HIDDEN>
Date: Thu, 5 Aug 2021 22:44:46 +0300
Message-ID: <CABct=JzJC9WmjtDi-fuo7yPg7=wFgBhombCQa2kOTihrRpAukQ@HIDDEN>
Subject: Bug in build c-ares
To: bug-automake@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000646b5a05c8d5274d"
Received-SPF: pass client-ip=2607:f8b0:4864:20::d2c;
 envelope-from=danwerspb@HIDDEN; helo=mail-io1-xd2c.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 05 Aug 2021 16:23:29 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--000000000000646b5a05c8d5274d
Content-Type: text/plain; charset="UTF-8"

Hi!
I have a bug.
Build environment - Debian testing latest

root@debian10-work:~# apt source -b c-ares
Reading package lists... Done
NOTICE: 'c-ares' packaging is maintained in the 'Git' version control
system at:
https://salsa.debian.org/debian/c-ares.git
Please use:
git clone https://salsa.debian.org/debian/c-ares.git
to retrieve the latest (possibly unreleased) updates to the package.
Skipping already downloaded file 'c-ares_1.17.1-1.dsc'
Skipping already downloaded file 'c-ares_1.17.1.orig.tar.gz'
Skipping already downloaded file 'c-ares_1.17.1.orig.tar.gz.asc'
Skipping already downloaded file 'c-ares_1.17.1-1.debian.tar.xz'
Need to get 0 B of source archives.
Skipping unpack of already unpacked source in c-ares-1.17.1
dpkg-buildpackage: info: source package c-ares
dpkg-buildpackage: info: source version 1.17.1-1
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by Gregor Jasny <
gjasny@HIDDEN>
dpkg-buildpackage: info: host architecture amd64
 dpkg-source --before-build .
 debian/rules clean
dh clean
   dh_autoreconf_clean
   dh_clean
 debian/rules build
dh build
   dh_update_autotools_config
   dh_autoreconf
aclocal: installing 'm4/ax_ac_append_to_file.m4' from
'/usr/share/aclocal/ax_ac_append_to_file.m4'
aclocal: installing 'm4/ax_ac_print_to_file.m4' from
'/usr/share/aclocal/ax_ac_print_to_file.m4'
aclocal: installing 'm4/ax_add_am_macro_static.m4' from
'/usr/share/aclocal/ax_add_am_macro_static.m4'
aclocal: installing 'm4/ax_am_macros_static.m4' from
'/usr/share/aclocal/ax_am_macros_static.m4'
aclocal: installing 'm4/ax_check_gnu_make.m4' from
'/usr/share/aclocal/ax_check_gnu_make.m4'
aclocal: installing 'm4/ax_code_coverage.m4' from
'/usr/share/aclocal/ax_code_coverage.m4'
aclocal: installing 'm4/ax_cxx_compile_stdcxx.m4' from
'/usr/share/aclocal/ax_cxx_compile_stdcxx.m4'
aclocal: installing 'm4/ax_cxx_compile_stdcxx_11.m4' from
'/usr/share/aclocal/ax_cxx_compile_stdcxx_11.m4'
aclocal: installing 'm4/ax_file_escapes.m4' from
'/usr/share/aclocal/ax_file_escapes.m4'
aclocal: installing 'm4/ax_require_defined.m4' from
'/usr/share/aclocal/ax_require_defined.m4'
aclocal: error: too many loops
aclocal: Please contact <bug-automake@HIDDEN>.
 at /usr/share/automake-1.16/Automake/Channels.pm line 655.
Automake::Channels::msg("automake", "", "too many loops") called at
/usr/share/automake-1.16/Automake/ChannelDefs.pm line 226
Automake::ChannelDefs::prog_error("too many loops") called at
/usr/bin/aclocal line 1187
autoreconf: aclocal failed with exit status: 255
dh_autoreconf: error: autoreconf -f -i returned exit code 1
make: *** [debian/rules:6: build] Error 255
dpkg-buildpackage: error: debian/rules build subprocess returned exit
status 2
E: Build command 'cd c-ares-1.17.1 && dpkg-buildpackage -b -uc' failed.
root@debian10-work:~#

DP

--000000000000646b5a05c8d5274d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hi!</div><div>I have a bug.</div><div>Build environme=
nt - Debian testing latest</div><div><br></div><div>root@debian10-work:~# a=
pt source -b c-ares<br></div>Reading package lists... Done<br>NOTICE: &#39;=
c-ares&#39; packaging is maintained in the &#39;Git&#39; version control sy=
stem at:<br><a href=3D"https://salsa.debian.org/debian/c-ares.git">https://=
salsa.debian.org/debian/c-ares.git</a><br>Please use:<br>git clone <a href=
=3D"https://salsa.debian.org/debian/c-ares.git">https://salsa.debian.org/de=
bian/c-ares.git</a><br>to retrieve the latest (possibly unreleased) updates=
 to the package.<br>Skipping already downloaded file &#39;c-ares_1.17.1-1.d=
sc&#39;<br>Skipping already downloaded file &#39;c-ares_1.17.1.orig.tar.gz&=
#39;<br>Skipping already downloaded file &#39;c-ares_1.17.1.orig.tar.gz.asc=
&#39;<br>Skipping already downloaded file &#39;c-ares_1.17.1-1.debian.tar.x=
z&#39;<br>Need to get 0 B of source archives.<br>Skipping unpack of already=
 unpacked source in c-ares-1.17.1<br>dpkg-buildpackage: info: source packag=
e c-ares<br>dpkg-buildpackage: info: source version 1.17.1-1<br>dpkg-buildp=
ackage: info: source distribution unstable<br>dpkg-buildpackage: info: sour=
ce changed by Gregor Jasny &lt;<a href=3D"mailto:gjasny@HIDDEN">gja=
sny@HIDDEN</a>&gt;<br>dpkg-buildpackage: info: host architecture am=
d64<br>=C2=A0dpkg-source --before-build .<br>=C2=A0debian/rules clean<br>dh=
 clean<br>=C2=A0 =C2=A0dh_autoreconf_clean<br>=C2=A0 =C2=A0dh_clean<br>=C2=
=A0debian/rules build<br>dh build<br>=C2=A0 =C2=A0dh_update_autotools_confi=
g<br>=C2=A0 =C2=A0dh_autoreconf<br>aclocal: installing &#39;m4/ax_ac_append=
_to_file.m4&#39; from &#39;/usr/share/aclocal/ax_ac_append_to_file.m4&#39;<=
br>aclocal: installing &#39;m4/ax_ac_print_to_file.m4&#39; from &#39;/usr/s=
hare/aclocal/ax_ac_print_to_file.m4&#39;<br>aclocal: installing &#39;m4/ax_=
add_am_macro_static.m4&#39; from &#39;/usr/share/aclocal/ax_add_am_macro_st=
atic.m4&#39;<br>aclocal: installing &#39;m4/ax_am_macros_static.m4&#39; fro=
m &#39;/usr/share/aclocal/ax_am_macros_static.m4&#39;<br>aclocal: installin=
g &#39;m4/ax_check_gnu_make.m4&#39; from &#39;/usr/share/aclocal/ax_check_g=
nu_make.m4&#39;<br>aclocal: installing &#39;m4/ax_code_coverage.m4&#39; fro=
m &#39;/usr/share/aclocal/ax_code_coverage.m4&#39;<br>aclocal: installing &=
#39;m4/ax_cxx_compile_stdcxx.m4&#39; from &#39;/usr/share/aclocal/ax_cxx_co=
mpile_stdcxx.m4&#39;<br>aclocal: installing &#39;m4/ax_cxx_compile_stdcxx_1=
1.m4&#39; from &#39;/usr/share/aclocal/ax_cxx_compile_stdcxx_11.m4&#39;<br>=
aclocal: installing &#39;m4/ax_file_escapes.m4&#39; from &#39;/usr/share/ac=
local/ax_file_escapes.m4&#39;<br>aclocal: installing &#39;m4/ax_require_def=
ined.m4&#39; from &#39;/usr/share/aclocal/ax_require_defined.m4&#39;<br>acl=
ocal: error: too many loops<br>aclocal: Please contact &lt;<a href=3D"mailt=
o:bug-automake@HIDDEN">bug-automake@HIDDEN</a>&gt;.<br>=C2=A0at /usr/shar=
e/automake-1.16/Automake/Channels.pm line 655.<br>	Automake::Channels::msg(=
&quot;automake&quot;, &quot;&quot;, &quot;too many loops&quot;) called at /=
usr/share/automake-1.16/Automake/ChannelDefs.pm line 226<br>	Automake::Chan=
nelDefs::prog_error(&quot;too many loops&quot;) called at /usr/bin/aclocal =
line 1187<br>autoreconf: aclocal failed with exit status: 255<br>dh_autorec=
onf: error: autoreconf -f -i returned exit code 1<br>make: *** [debian/rule=
s:6: build] Error 255<br>dpkg-buildpackage: error: debian/rules build subpr=
ocess returned exit status 2<br>E: Build command &#39;cd c-ares-1.17.1 &amp=
;&amp; dpkg-buildpackage -b -uc&#39; failed.<br>root@debian10-work:~#<br><d=
iv><br></div><div>DP</div></div>

--000000000000646b5a05c8d5274d--




Acknowledgement sent to Денис Эпиков <danwerspb@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to bug-automake@HIDDEN:
bug#49901; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 19 Sep 2021 21:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.